Brands

Brands

8OAS 3.0

Brandinformation. See Wiki

API Base URL
  • Server 1:https://api.migros.ch

    Public Kong Gateway URL

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Additional Information
Contact MGB-UDP-Products-Services (arg_mgb-udp-products-services@mgb.ch)

Brands

Returns a paged list of brands and provides search functionality.

Returns a paged list of brands and provides search functionality.

get
https://api.migros.ch/migros/products/v8/brands

Query Parameters

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

orderstring

The ordering direction.

Allowed values:ascdesc

Default:asc

sortstring

The sorting criteria.

Allowed values:idname

Default:id

idsstring

A comma separated list or an array of brand ids defining the brands and the order in which the brands should be returned. If the ids parameter is provided all other filtering parameters are ignored.

updated_sincestring

The date and time used to only get brands updated since a certain timestamp. The format is according to ISO 8601 and can include a time zone offset, e.g. 2018-01-01T06:00:00+01:00. Default time zone is Swiss time.

langstring

The language to be used. Possible values: de, fr, it, en. The language may also be set via HTTP header, e.g. Accept-Language: de header.

Default:de

Response

application/json

Returned when successful.

BrandCollection

A collection of brand instances.

brandsarray[object]required

Represents the Brand information.

Show Child Parameters
total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

get/migros/products/v8/brands
 
application/json

Returns information about a single brand by ID or slug.

Returns information about a single brand by ID or slug.

get
https://api.migros.ch/migros/products/v8/brands/{id}

Query Parameters

langstring

The language to be used. Possible values: de, fr, it, en. The language may also be set via HTTP header, e.g. Accept-Language: de header.

Default:de

Path Parameters

idstringrequired

Resource ID or slug (if available).

Response

application/json

Returned when successful.

Brand

Represents the Brand information.

class_idstring | null

Brand class code.

class_typestring | null

Brand class type.

descriptionstring | null

The long description of the brand (can contain HTML).

idstringrequired
imageOne Of
Imageobject

An image and its properties.

Show Child Parameters
linksobject

Collection of links indexed by string identifier.

namestring | nullrequired
parent_brandOne Of
PartialBrandobject

Represents the sub brand and parent brand information.

Show Child Parameters
position_for_product_titlestring | null

Indicates placement of the short name brand in product title

short_name_for_product_titlestring | null

Shorter variant of the brand for product title

slugstringrequired

Unique user-friendly ID.

sub_brandOne Of
PartialBrandobject

Represents the sub brand and parent brand information.

Show Child Parameters
get/migros/products/v8/brands/{id}
 
application/json

Brand

object

Represents the Brand information.

class_idstring

Brand class code.

class_typestring

Brand class type.

descriptionstring

The long description of the brand (can contain HTML).

idstringrequired
imageOne Of
Imageobject

An image and its properties.

Show Child Parameters
linksobject

Collection of links indexed by string identifier.

namestringrequired
parent_brandOne Of
PartialBrandobject

Represents the sub brand and parent brand information.

Show Child Parameters
position_for_product_titlestring

Indicates placement of the short name brand in product title

short_name_for_product_titlestring

Shorter variant of the brand for product title

slugstringrequired

Unique user-friendly ID.

sub_brandOne Of
PartialBrandobject

Represents the sub brand and parent brand information.

Show Child Parameters
Example